package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.IndexedColors;

import com.sict.excel.bo.AnalysisGraphicBO;
import com.sict.excel.dto.AnalysisGraphicDTO;
import com.sict.excel.dto.EarlyCancerHospitalDTO;
import com.sict.excel.dto.ScreeningRankProvinceDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class AnalysisGraphicExcel {

	public static HSSFSheet getsheet4(HSSFWorkbook workbook) throws IOException {
		
			SqlSession sqlSession = SqlSessionUtil.getSession();
		
			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			
			
			String[] columnNames = {"收集项","数值","备注"};
			
			
			List<AnalysisGraphicBO> list = new ArrayList<AnalysisGraphicBO>();
			
			AnalysisGraphicBO analysisGraphicBO = new AnalysisGraphicBO();
			analysisGraphicBO.setItem("申请胃癌筛查的医院总数");
			list.add(analysisGraphicBO);
			
			AnalysisGraphicBO analysisGraphicBO2 = new AnalysisGraphicBO();
			analysisGraphicBO2.setItem("通过申请医院数 ");
			list.add(analysisGraphicBO2);
			
			AnalysisGraphicBO analysisGraphicBO3 = new AnalysisGraphicBO();
			analysisGraphicBO3.setItem("平台账号申请医院数");
			list.add(analysisGraphicBO3);
			
			AnalysisGraphicBO analysisGraphicBO4 = new AnalysisGraphicBO();
			analysisGraphicBO4.setItem("账号已开通的医院数");
			list.add(analysisGraphicBO4);
			
		
			HSSFSheet sheet = workbook.createSheet("运营分析-图例数据");
			sheet.setDefaultColumnWidth(20);
			HSSFCellStyle style = workbook.createCellStyle();
			// 设置这些样式
			style.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
			// 背景色 蓝色
			style.setFillForegroundColor(IndexedColors.PALE_BLUE.getIndex());
			style.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
			style.setFillBackgroundColor(IndexedColors.PALE_BLUE.getIndex());
			// 设置边框
			style.setBorderBottom(HSSFCellStyle.BORDER_THIN);
			style.setBorderLeft(HSSFCellStyle.BORDER_THIN);
			style.setBorderRight(HSSFCellStyle.BORDER_THIN);
			style.setBorderTop(HSSFCellStyle.BORDER_THIN);
			// 生成一个字体
			HSSFFont font = workbook.createFont();
			font.setFontHeightInPoints((short) 12);
			font.setColor(IndexedColors.AUTOMATIC.getIndex());
			font.setFontName("宋体");
			style.setFont(font);// 把字体 应用到当前样式
			
			HSSFCellStyle style2 = workbook.createCellStyle();
			// 设置这些样式
			style2.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
			// 背景色黄色
			style2.setFillForegroundColor(IndexedColors.YELLOW.getIndex());
			style2.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
			style2.setFillBackgroundColor(IndexedColors.YELLOW.getIndex());
			// 设置边框
			style2.setBorderBottom(HSSFCellStyle.BORDER_THIN);
			style2.setBorderLeft(HSSFCellStyle.BORDER_THIN);
			style2.setBorderRight(HSSFCellStyle.BORDER_THIN);
			style2.setBorderTop(HSSFCellStyle.BORDER_THIN);
			
			HSSFCellStyle style3 = workbook.createCellStyle();
			// 设置这些样式
			// 设置边框
			style3.setBorderBottom(HSSFCellStyle.BORDER_THIN);
			style3.setBorderLeft(HSSFCellStyle.BORDER_THIN);
			style3.setBorderRight(HSSFCellStyle.BORDER_THIN);
			style3.setBorderTop(HSSFCellStyle.BORDER_THIN);
		
			//HSSFSheet sheet =  util.exportExcel(workbook,"运营分析-图例数据", columnNames, list, ExportExcelUtil.EXCEl_FILE_2007);
			HSSFRow row1 = sheet.createRow(0);
			for (int i = 0; i < columnNames.length; i++) {
				HSSFCell createCell = row1.createCell(i);
				createCell.setCellValue(columnNames[i]);
				createCell.setCellStyle(style);
			}
			for (int i = 0; i < list.size(); i++) {
				HSSFRow createRow = sheet.createRow(i+1);
				HSSFCell createCell = createRow.createCell(0);
				createCell.setCellStyle(style3);
				createCell.setCellValue(list.get(i).getItem());
				
				HSSFCell cell = createRow.createCell(1);
				cell.setCellStyle(style2);
				
				HSSFCell cell3 = createRow.createCell(2);
				cell3.setCellStyle(style3);
			}
		//	HSSFSheet sheet =  util.exportExcel(workbook,"运营分析-图例数据", columnNames, list, ExportExcelUtil.EXCEl_FILE_2007);
			sqlSession.commit();
		
			sqlSession.close();
			
			return sheet;


	}

}
