package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hslf.model.Sheet;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.IndexedColors;

import com.sict.excel.dto.EarlyCancerHospitalDTO;
import com.sict.excel.dto.ScreeningRankProvinceDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class AnalysisHospitalEarlyCancerExcel {

	public static HSSFSheet getsheet6(HSSFWorkbook workbook) throws IOException {

		SqlSession sqlSession = SqlSessionUtil.getSession();

		DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);

		// ExportExcelUtil<EarlyCancerHospitalDTO> util = new
		// ExportExcelUtil<EarlyCancerHospitalDTO>();

		String[] columnNames = { "排名", "医院名称", "省份", "合计", "高级别食管粘膜上皮内瘤变", "早期食管癌", "进展期食管癌", "高级别胃粘膜上皮内瘤病变", "早期胃癌",
				"进展期胃癌" };

		List<EarlyCancerHospitalDTO> list = mapper.geteaCancerHospitals();
		HSSFSheet sheet = workbook.createSheet("运营分析-医院早癌 胃癌数");
		HSSFCellStyle style = workbook.createCellStyle();
		// 设置这些样式
		style.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
		// 背景色 蓝色
		style.setFillForegroundColor(IndexedColors.PALE_BLUE.getIndex());
		style.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
		style.setFillBackgroundColor(IndexedColors.PALE_BLUE.getIndex());
		// 设置边框
		style.setBorderBottom(HSSFCellStyle.BORDER_THIN);
		style.setBorderLeft(HSSFCellStyle.BORDER_THIN);
		style.setBorderRight(HSSFCellStyle.BORDER_THIN);
		style.setBorderTop(HSSFCellStyle.BORDER_THIN);
		// 生成一个字体
		HSSFFont font = workbook.createFont();
		font.setFontHeightInPoints((short) 11);
		font.setColor(IndexedColors.AUTOMATIC.getIndex());
		font.setFontName("宋体");
		font.setBoldweight(HSSFFont.BOLDWEIGHT_BOLD);// 粗体显示
		style.setFont(font);// 把字体 应用到当前样式

		HSSFCellStyle style2 = workbook.createCellStyle();
		// 设置这些样式
		style2.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
		// 设置边框
		style2.setBorderBottom(HSSFCellStyle.BORDER_THIN);
		style2.setBorderLeft(HSSFCellStyle.BORDER_THIN);
		style2.setBorderRight(HSSFCellStyle.BORDER_THIN);
		style2.setBorderTop(HSSFCellStyle.BORDER_THIN);
		// 生成一个字体
		HSSFFont font2 = workbook.createFont();
		font2.setFontHeightInPoints((short) 11);
		font2.setColor(IndexedColors.AUTOMATIC.getIndex());
		font2.setFontName("宋体");
		style2.setFont(font2);// 把字体 应用到当前样式
		HSSFRow row = sheet.createRow(0);
		for (int i = 0; i < columnNames.length; i++) {
			HSSFCell cell = row.createCell(i);
			cell.setCellValue(columnNames[i]);
			cell.setCellStyle(style);
		}
		
		for (int i = 0; i < list.size(); i++) {
			HSSFRow row2 = sheet.createRow(i+1);
			HSSFCell cell = row2.createCell(0);
			cell.setCellStyle(style2);
			cell.setCellValue(list.get(i).getId()+"");
			HSSFCell cell1 = row2.createCell(1);
			cell1.setCellStyle(style2);
			cell1.setCellValue(list.get(i).getHospname());
			HSSFCell cell2 = row2.createCell(2);
			cell2.setCellStyle(style2);
			cell2.setCellValue(list.get(i).getProvince());
			HSSFCell cell3 = row2.createCell(3);
			cell3.setCellStyle(style2);
			cell3.setCellValue(list.get(i).getTotal()+"");
			HSSFCell cell4 = row2.createCell(4);
			cell4.setCellStyle(style2);
			cell4.setCellValue(list.get(i).getHighEsophagealNeoplasia()>0?list.get(i).getHighEsophagealNeoplasia()+"":"");
			HSSFCell cell5 = row2.createCell(5);
			cell5.setCellStyle(style2);
			cell5.setCellValue(list.get(i).getEarlyEsophagealCancer()>0?list.get(i).getEarlyEsophagealCancer()+"":"");
			HSSFCell cell6 = row2.createCell(6);
			cell6.setCellStyle(style2);
			cell6.setCellValue(list.get(i).getAdvancedEsophagealCancer()>0?list.get(i).getAdvancedEsophagealCancer()+"":"");
			HSSFCell cell7 = row2.createCell(7);
			cell7.setCellStyle(style2);
			cell7.setCellValue(list.get(i).getHighGastricNeoplasia()>0?list.get(i).getHighGastricNeoplasia()+"":"");
			HSSFCell cell8 = row2.createCell(8);
			cell8.setCellStyle(style2);
			cell8.setCellValue(list.get(i).getEarlyGastricCancer()>0?list.get(i).getEarlyGastricCancer()+"":"");
			HSSFCell cell9 = row2.createCell(9);
			cell9.setCellStyle(style2);
			cell9.setCellValue(list.get(i).getAdvancedGastricCancer()>0?list.get(i).getAdvancedGastricCancer()+"":"");
		}
		HSSFRow row2 = sheet.createRow(list.size()+1);
		int total1=0,total2=0,total3=0,total4=0,total5=0,total6=0,total7=0;
		for (int i = 0; i < list.size(); i++) {
			total1 += list.get(i).getTotal();
		}
		for (int i = 0; i < list.size(); i++) {
			total2 += list.get(i).getHighEsophagealNeoplasia();
		}
		for (int i = 0; i < list.size(); i++) {
			total3 += list.get(i).getEarlyEsophagealCancer();
		}
		for (int i = 0; i < list.size(); i++) {
			total4 += list.get(i).getAdvancedEsophagealCancer();
		}
		for (int i = 0; i < list.size(); i++) {
			total5 += list.get(i).getHighGastricNeoplasia();
		}
		for (int i = 0; i < list.size(); i++) {
			total6 += list.get(i).getEarlyGastricCancer();
		}
		for (int i = 0; i < list.size(); i++) {
			total7 += list.get(i).getAdvancedGastricCancer();
		}
		HSSFCell cell1 = row2.createCell(0);
		cell1.setCellStyle(style2);
		cell1.setCellValue("合计");
		
		HSSFCell cell2 = row2.createCell(1);
		cell2.setCellStyle(style2);
		
		HSSFCell cell3= row2.createCell(2);
		cell3.setCellStyle(style2);
		
		HSSFCell cell4=row2.createCell(3);
		cell4.setCellValue(total1+"");
		cell4.setCellStyle(style2);
		
		HSSFCell cell5 = row2.createCell(4);
		cell5.setCellStyle(style2);
		cell5.setCellValue(total2+"");
		
		HSSFCell cell6=row2.createCell(5);
		cell6.setCellStyle(style2);
		cell6.setCellValue(total3+"");
		
		HSSFCell cell7 = row2.createCell(6);
		cell7.setCellStyle(style2);
		cell7.setCellValue(""+total4);
		
		HSSFCell cell8 = row2.createCell(7);
		cell8.setCellStyle(style2);
		cell8.setCellValue(""+total5);
		
		HSSFCell cell9 = row2.createCell(8);
		cell9.setCellStyle(style2);
		cell9.setCellValue(total6+"");
		
		HSSFCell cell10 =row2.createCell(9);
		cell10.setCellStyle(style2);
		cell10.setCellValue(""+total7);

		
		sheet.setColumnWidth(0, 10*256);
		sheet.setColumnWidth(1, 30*256);
		sheet.setColumnWidth(2, 10*256);
		sheet.setColumnWidth(3, 10*256);
		sheet.setColumnWidth(4, 30*256);
		sheet.setColumnWidth(5, 10*256);
		sheet.setColumnWidth(6, 10*256);
		sheet.setColumnWidth(7, 30*256);
		sheet.setColumnWidth(8, 10*256);
		sheet.setColumnWidth(9, 10*256);
		
		sqlSession.commit();
		sqlSession.close();

		return sheet;
	}

}
