package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.IndexedColors;

import com.sict.excel.dto.AnalysisProvinceDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class AnalysisProvinceExcel {

	public static HSSFSheet getSheet5(HSSFWorkbook workbook) throws IOException {

		SqlSession sqlSession = SqlSessionUtil.getSession();
		
			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			
			HSSFSheet sheet = workbook.createSheet("运营分析-省份数据");
			sheet.setDefaultColumnWidth(15);
			HSSFCellStyle style = workbook.createCellStyle();
			// 设置这些样式
			style.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
			// 背景色
			style.setFillForegroundColor(IndexedColors.PALE_BLUE.getIndex());
			style.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
			style.setFillBackgroundColor(IndexedColors.PALE_BLUE.getIndex());
			// 设置边框
			style.setBorderBottom(HSSFCellStyle.BORDER_THIN);
			style.setBorderLeft(HSSFCellStyle.BORDER_THIN);
			style.setBorderRight(HSSFCellStyle.BORDER_THIN);
			style.setBorderTop(HSSFCellStyle.BORDER_THIN);
			// 生成一个字体
			HSSFFont font = workbook.createFont();
			font.setFontHeightInPoints((short) 12);
			font.setColor(IndexedColors.AUTOMATIC.getIndex());
			font.setFontName("宋体");
			style.setFont(font);// 把字体 应用到当前样式
			
			HSSFCellStyle style2 = workbook.createCellStyle();
			// 设置这些样式
			style2.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);// 垂直居中
			// 背景色
			style2.setFillForegroundColor(IndexedColors.YELLOW.getIndex());
			style2.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
			style2.setFillBackgroundColor(IndexedColors.YELLOW.getIndex());
			// 设置边框
			style2.setBorderBottom(HSSFCellStyle.BORDER_THIN);
			style2.setBorderLeft(HSSFCellStyle.BORDER_THIN);
			style2.setBorderRight(HSSFCellStyle.BORDER_THIN);
			style2.setBorderTop(HSSFCellStyle.BORDER_THIN);
			
			HSSFCellStyle style3 = workbook.createCellStyle();
			// 设置这些样式
			// 设置边框
			style3.setBorderBottom(HSSFCellStyle.BORDER_THIN);
			style3.setBorderLeft(HSSFCellStyle.BORDER_THIN);
			style3.setBorderRight(HSSFCellStyle.BORDER_THIN);
			style3.setBorderTop(HSSFCellStyle.BORDER_THIN);
			HSSFRow row1 = sheet.createRow(0);
			String[] columnNames = {"省份","申请医院总数 ","开通账号医院总数","申请账号中的医院总数","通过申请医院数","平台账号申请医院数","筛查人数","早癌数"};
			for (int i = 0; i < columnNames.length; i++) {
				HSSFCell createCell = row1.createCell(i);
				createCell.setCellValue(columnNames[i]);
				createCell.setCellStyle(style);
			}
			List<AnalysisProvinceDTO> list = mapper.getAnalysisProvinceDTOs();
			AnalysisProvinceDTO l1 = new AnalysisProvinceDTO();
			l1.setProvince("合计");
			list.add(l1);
			for (int i = 0; i < list.size(); i++) {
				HSSFRow createRow = sheet.createRow(i+1);
				HSSFCell createCell = createRow.createCell(0);
				createCell.setCellValue(list.get(i).getProvince());
				createCell.setCellStyle(style3);
				HSSFCell cell = createRow.createCell(1);
				cell.setCellStyle(style2);
				for (int j = 2; j < columnNames.length; j++) {
					HSSFCell cell2 = createRow.createCell(j);
					cell2.setCellStyle(style3);
				}
			}
			
			sqlSession.commit();
		
			sqlSession.close();
		
		return sheet;

		
	}

}
